﻿package uniquetext {

    import flash.display.MovieClip;
    import flash.events.*;	
	import flash.text.TextField;
	import flash.text.TextFieldType;

	import UniqueControl;
	
    public class UniqueText extends MovieClip {

		
		private var myControl:UniqueControl;		
		private var myAppName:String = "uniquetext" // change for different applications
		private var myGroupsOf:Number = 2; // max number per "room"
		private var myPersistence:Boolean = false; // true has not been tested
		private var myFill:Boolean = true; // new people fill up places people left
		
        public function UniqueText() {			
			
			myControl = new UniqueControl(myAppName, myGroupsOf, myPersistence, myFill);
			
			// use myControl.setData(property, value); to set your values
			// use myControl.theirData.property; to get a list of other people's values for that property

			// connect means you have connected
			// added means that someone else has been added since you connected
			// removed means that someone else has been removed since you connected
			// change means that the other people's properties have changed
			myControl.addEventListener(Event.CONNECT, myControlConnected);
			myControl.addEventListener(Event.ADDED, myControlAdded);
			myControl.addEventListener(Event.REMOVED, myControlRemoved);						
			myControl.addEventListener(Event.CHANGE, myControlChange);
			
			text1.addEventListener(Event.CHANGE, textChange);
			
        }
		
		// this fires once connected 
		
		private function myControlConnected(e:Event) {			
			
			trace (e.target.error);	 // can error check based on this...				
			
			// check to see if someone is there already in this "room"	
			// if they are then add their text
			if (myControl.theirData.text) { 
				text2.text = myControl.theirData.text[0];
			}				
			
		}
		
		// any time someone else's object changes this function gets called

		private function myControlChange(e:Event) {			
			text2.text = myControl.theirData.text[0];
		}				

		// these get called when someone else's object gets added or removed
		
		private function myControlAdded(e:Event) {					
			text2.text = "-- new person --";					
		}				
		
		private function myControlRemoved(e:Event) {					
			text2.text = "-- no one here --";	
		}	
		
		private function textChange(e:Event) {
			myControl.setProperty("text", e.target.text);
		}						
		
    }
} 